<?php
namespace App\Http\Middleware;
use Closure;
use Exception;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Cache;
use App\Models\AdminModel;
use Carbon\Carbon;

class UserLogin
{
    /**
     *
     * @param $request
     * @param Closure $next
     * @return array|mixed
     */
    public function handle(Request $request, Closure $next)
    {
        $userToken = $request->header('token','');
        $now = strtotime(Carbon::now()->format('Y-m-d H:i:s'));
        if($userToken == ''){
            return response()->json([
                'code' => 403,
                'msg' => '请带上有效的token',
            ]);
        }

        $user =  AdminModel::where('token',$userToken)->first();
        if(!$user){
            return response()->json([
                'code' => 401,
                'msg' => '无效的token',
            ]);
        }

        if($user->expire_time < $now){
            return response()->json([
                'code' => 402,
                'msg' => 'token过期请重新刷新token',
            ]);
        }

        $user->expire_time = $now + 10800;
        $user->refresh_time = $now + 86400;
        $user->save();
        $request['userId'] = $user->id;
        $request['user'] = $user->name;
        $request['realUserName'] = $user->real_name;
        unset($user);
        return $next($request);
    }
}
