<?php

use Illuminate\Http\Request;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/


Route::group(['namespace' => 'Api'],function() {
    Route::post('/login','LoginController@getLogin');//登录
    Route::post('/refresh/token','LoginController@getRefreshToken');//刷新token
});


Route::group(['namespace' => 'Api','middleware' => ['user.login']], function () {
    Route::post('/logout','LoginController@getLogout');//退出

    Route::group(['prefix' => 'user'],function() {
        Route::post('/add','UserController@getUserAdd');//新增用户
        Route::post('/list','UserController@getUserList');//用户列表
        Route::post('/del','UserController@getUserDel');//删除用户
        Route::post('/reset/pwd','UserController@getResetUserPwd');//充值用户密码
        Route::post('/set/status','UserController@getSetStatus');//设置用户状态
    });

    Route::group(['prefix' => 'white'],function() {
        Route::post('/add','WhiteController@getWhiteAdd');//新增白名单
        Route::post('/list','WhiteController@getWhiteList');//白名单列表
        Route::post('/del','WhiteController@getWhiteDel');//删除白名单
        Route::post('/set/status','WhiteController@getSetStatus');//设置白名单状态
    });

    Route::group(['prefix' => 'warn'],function() {
        Route::post('/people/add','WarnController@getPeopleAdd');//新增预警人
        Route::post('/people/list','WarnController@getPeopleList');//预警人列表
        Route::post('/people/edit','WarnController@getPeopleEdit');//编辑预警人
        Route::post('/people/del','WarnController@getPeopleDel');//删除预警人
        Route::post('/people/set/status','WarnController@getPeopleSetStatus');//设置预警人状态

        Route::post('/config/add','WarnController@getConfigAdd');//新增预警配置
        Route::post('/config/list','WarnController@getConfigList');//预警配置列表
        Route::post('/config/edit','WarnController@getConfigEdit');//编辑预警配置
        Route::post('/config/del','WarnController@getConfigDel');//删除预警配置
        Route::post('/config/set/status','WarnController@getConfigSetStatus');//设置预警配置状态
        Route::post('/config/set/all/status','WarnController@getConfigSetAllStatus');//批量设置预警配置状态
    });

    Route::group(['prefix' => 'account'],function() {
        Route::post('/platform/list','AccountController@getPlatformList');//平台列表
        Route::post('/channel/list','AccountController@getChannelList');//渠道列表
        Route::post('/currency/list','AccountController@getCurrencyList');//货币种类列表
        Route::post('/log','AccountController@getAccountLog');//货币查询
    });


});

